Bug 174151 - add size reduction and compression to ksnapshot ?
add size reduction and compression to ksnapshot ?
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: kdegraphics (Show other bugs)
4
All Linux
medium Severity medium
: ---
: ---
Assigned To: Ngo Than
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-11-25 02:23 EST by Kim Lux
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version: kdegraphics-3.5.8
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-11-17 17:20:46 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
ksnapshot of my full desktop (404.41 KB, image/jpeg)
2005-11-25 02:26 EST, Kim Lux
no flags Details

  None (edit)
Description Kim Lux 2005-11-25 02:23:20 EST
Description of problem: 
 
I've got a large desktop.  Dual montiors, 1600x1050 each.  From time to time 
I'd like to send people screenshots of the whole desktop because I run 2 apps 
side by side, one in each window. 
 
Ksnapshot works well for capturing the whole desktop or the individual apps.  
No problems there.  
 
There are two problems though: 
 
a) ksnapshot captures them at 1:1 size, meaning I get a 3200 x 1050 image.  
People with no computer skills complain they can't view them and for most of 
the captures I do, this is way overkill.  Yes, I can scale them down, but it 
is a pain. 
 
b) The file size gets huge.  
 
Solution: 
 
a) add a "reduce image size" and let the user put the reduction ratio in or 
have 1.5:1, 2:1, 3:1, 4:1 as drop down options.  (real:image ratios) 
 
b) let the user adjust the jpeg quality/compression factor.  Didn't ksnapshot 
have this feature at one time ? 
 
Otherwise ksnapshot is a great application.    
 
 
Version-Release number of selected component (if applicable): 
 
rpm -q kdelibs 
kdelibs-3.4.3-1.1.fc4.kde 
 
rpm -q kdegraphics 
kdegraphics-3.4.3-1.0.fc4.kde 
 
 
Additional info: 
 
Keep up the good work.  Linux and Fedora rock.  It is getting better and 
better with each release.
Comment 1 Kim Lux 2005-11-25 02:26:50 EST
Created attachment 121477 [details]
ksnapshot of my full desktop

Get the picture ?  This would be fine viewed at 1/2 or 1/3 size.
Comment 2 Christian Iseli 2007-01-19 19:57:26 EST
This report targets the FC3 or FC4 products, which have now been EOL'd.

Could you please check that it still applies to a current Fedora release, and
either update the target product or close it ?

Thanks.
Comment 3 Rex Dieter 2007-11-17 17:20:46 EST
Closing for lack of feedback.

Note You need to log in before you can comment on or make changes to this bug.